Option | Description | Values | Default
--- | --- | --- | ---
defaultDatabaseName | Default database name for all MySQL queries |  |
jsonDataTypeEnabled | Use special JSON MySQL data type for complex model properties. Requires MySQL version 5.7.8. Generates TEXT data type when disabled |  | true
identifierNamingConvention | Naming convention of MySQL identifiers(table names and column names). This is not related to database name which is defined by defaultDatabaseName option | original Do not transform original names snake_case Use snake_case names | original

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- date
- void
- bool
- string
- double
- byte
- mixed
- integer
- float
- URI
- int
- Date
- DateTime
- long
- BigDecimal
- number
- boolean
- file
- binary
- char
- short
- ByteArray
- UUID

##
RESERVED WORDS

- dec
- low_priority
- references
- leading
- insensitive
- ssl
- character
- int2
- int1
- io_after_gtids
- trailing
- int4
- int3
- utc_time
- int8
- optimizer_costs
- rank
- cube
- databases
- using
- outer
- require
- then
- each
- as
- left
- unique
- except
- starting
- schema
- accessible
- role
- deterministic
- long
- into
- smallint
- default
- dual
- partition
- varying
- by
- ntile
- where
- xor
- persist
- current_time
- key
- iterate
- set
- column
- minute_microsecond
- procedure
- right
- union
- asc
- call
- varbinary
- longblob
- describe
- to
- localtime
- sql_big_result
- declare
- empty
- enclosed
- div
- generated
- continue
- leave
- loop
- elseif
- hour_second
- row_number
- signal
- add
- percent_rank
- unlock
- last_value
- mediumtext
- check
- escaped
- collate
- schemas
- persist_only
- decimal
- desc
- cursor
- drop
- virtual
- asensitive
- for
- show
- revoke
- update
- purge
- not
- undo
- zerofill
- json_table
- load
- straight_join
- ignore
- lines
- over
- mediumint
- varchar
- false
- dense_rank
- mediumblob
- with
- window
- grant
- day_second
- explain
- maxvalue
- mod
- select
- release
- usage
- optionally
- middleint
- delayed
- convert
- localtimestamp
- sql_small_result
- when
- cume_dist
- else
- lock
- join
- spatial
- if
- write
- between
- case
- sqlstate
- order
- year_month
- read_write
- having
- natural
- in
- double
- tinytext
- index
- tinyint
- is
- sensitive
- grouping
- exit
- current_date
- system
- analyze
- binary
- sqlwarning
- force
- interval
- master_bind
- minute_second
- primary
- regexp
- range
- sqlexception
- infile
- restrict
- recursive
- foreign
- hour_microsecond
- out
- distinctrow
- get
- fulltext
- table
- current_user
- linear
- second_microsecond
- change
- utc_timestamp
- float8
- io_before_gtids
- trigger
- float4
- kill
- lead
- day_minute
- rlike
- rename
- hour_minute
- fetch
- stored
- char
- exists
- constraint
- high_priority
- return
- no_write_to_binlog
- sql_calc_found_rows
- before
- use
- precision
- modifies
- replace
- integer
- float
- while
- lag
- optimize
- nth_value
- function
- limit
- varcharacter
- create
- from
- tinyblob
- alter
- group
- all
- read
- like
- cascade
- real
- inner
- separator
- both
- day_microsecond
- condition
- blob
- null
- true
- day_hour
- option
- longtext
- keys
- outfile
- values
- distinct
- insert
- numeric
- resignal
- delete
- sql
- database
- master_ssl_verify_server_cert
- and
- current_timestamp
- of
- repeat
- first_value
- row
- bigint
- terminated
- on
- or
- cross
- match
- reads
- groups
- rows
- specific
- int
- inout
- unsigned
- utc_date

Last updated on 1/9/2020